> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> Obtains the basic information about the dataset, including the keywords, description, and pre-generated questions.

# Get dataset overview

**Example request:**

<CodeGroup>
  ```curl cURL theme={null}
  curl --request GET \
    --url https://ai.data.cloud/api/v2/team/datasets/{id}/overview?user_id=tmm-dafasdfasdfasdf \
    --header 'x-pd-api-key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://ai.data.cloud/api/v2/team/datasets/{id}/overview?user_id=tmm-dafasdfasdfasdf"

  headers = {"x-pd-api-key": "<api-key>"}

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</CodeGroup>

**Example response:**

```json 200 theme={null}
{
  "code": 0,
  "data": {
    "id": "dset-cm5axptyyxxx298",
    "name": "sales_indicators_2024",
    "description": "A dataset comprising 373 travel bookings with 15 attributes, offering insights into booking patterns, pricing strategies, and more",
    "summary": "This dataset contains 373 travel bookings with 15 attributes, enabling analysis of booking trends, pricing strategies, and travel agency dynamics.",
    "exploration_questions": [
      "How does the booking price trend over time based on the BookingTimestamp?",
      "How does the average booking price change with respect to the TravelDate?",
      "Are there any significant outliers in the booking prices, and what might be causing them?",
      "How does the average price vary between one-way and round-trip bookings?"
    ],
    "keywords": [
      "Travel Bookings",
      "Booking Trends",
      "Travel Agencies"
    ]
  }
}
```


## OpenAPI

````yaml get /v2/team/datasets/{id}/overview
openapi: 3.0.1
info:
  title: Team Open API Snake
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security:
  - apikey-header-x-pd-api-key: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v2/team/datasets/{id}/overview:
    get:
      tags:
        - Dataset
      summary: Get dataset overview
      description: >-
        Obtains the basic information about the dataset, including the keywords,
        description, and pre-generated questions.
      parameters:
        - name: id
          in: path
          description: >-
            The ID of the dataset for which you want to view details.


            To check the datasets you have access to, call [GET
            /v2/team/datasets](/api-reference/v2/list-datasets).
          required: true
          schema:
            type: string
        - name: user_id
          in: query
          description: >-
            Your user ID, which uniquely identifies you within your team. To
            obtain your ID:


            - If you're the team admin, refer to [Check user
            information](/enterprise/users#check-user-information).

            - If you're a system or virtual user, ask your team admin to check
            your user ID by referring to [Check user
            information](/enterprise/users#check-user-information).
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: >-
            The trace ID you set in your system to trace this request. It can be
            up to 128 characters in length. If the request fails, you can
            provide it to the Powerdrill team to help with troubleshooting.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. For error
                      troubleshooting, refer to [Error
                      Codes](/api-reference/error-codes).
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The dataset ID, which uniquely identifies the dataset.
                      name:
                        type: string
                        description: The dataset name.
                      description:
                        type: string
                        description: The dataset description.
                      summary:
                        type: string
                        description: Summary about data sources in the dataset.
                      exploration_questions:
                        type: array
                        items:
                          type: string
                        description: >-
                          Questions pre-generated by Powerdrill for you to
                          explore the dataset.


                          You can call this endpoint again to fetch new
                          questions if the current ones don't match your
                          interest or if your dataset's data sources change.
                      keywords:
                        type: string
                        description: >-
                          Keywords that help you better understand the dataset's
                          content.
                    required:
                      - summary
                      - exploration_questions
                      - keywords
                      - id
                      - name
                      - description
                required:
                  - data
                  - code
              example:
                code: 0
                data:
                  id: dset-cm5axptyyxxx298
                  name: sales_indicators_2024
                  description: >-
                    A dataset comprising 373 travel bookings with 15 attributes,
                    offering insights into booking patterns, pricing strategies,
                    and more
                  summary: >-
                    This dataset contains 373 travel bookings with 15
                    attributes, enabling analysis of booking trends, pricing
                    strategies, and travel agency dynamics.
                  exploration_questions:
                    - >-
                      How does the booking price trend over time based on the
                      BookingTimestamp?
                    - >-
                      How does the average booking price change with respect to
                      the TravelDate?
                    - >-
                      Are there any significant outliers in the booking prices,
                      and what might be causing them?
                    - >-
                      How does the average price vary between one-way and
                      round-trip bookings?
                  keywords:
                    - Travel Bookings
                    - Booking Trends
                    - Travel Agencies
          headers: {}
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````